Loading...
Searching...
No Matches
GroupCodec Struct Reference

`#include <openvdb/points/AttributeGroup.h>`

## Classes

struct | Storage

## Public Types

using | StorageType = GroupType
using | ValueType = GroupType

## Static Public Member Functions

static void | decode (const StorageType &, ValueType &)
static void | encode (const ValueType &, StorageType &)
static const char * | name ()

## Member Typedef Documentation

## StorageType

using StorageType = GroupType

## ValueType

using ValueType = GroupType

## Member Function Documentation

## decode()

void decode | ( | const StorageType & | data,
|  | ValueType & | val )

inline static

## encode()

void encode | ( | const ValueType & | val,
|  | StorageType & | data )

inline static

## name()

const char * name | ( |  | ) |

inline static